org.springframework.jms.config

## Interface JmsListenerEndpoint

All Known Implementing Classes:
  AbstractJmsListenerEndpoint, MethodJmsListenerEndpoint, SimpleJmsListenerEndpoint

    public interface JmsListenerEndpoint

Model for a JMS listener endpoint. Can be used against a `JmsListenerConfigurer` to register endpoints programmatically.

Since:
  4.1
Author:
  Stephane Nicoll

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getId()` Return the id of this endpoint.
`void` `setupListenerContainer(MessageListenerContainer listenerContainer)` Setup the specified message listener container with the model defined by this endpoint.

### Method Detail

#### getId

    String getId()

Return the id of this endpoint.

#### setupListenerContainer

    void setupListenerContainer(MessageListenerContainer listenerContainer)

Setup the specified message listener container with the model defined by this endpoint.

This endpoint must provide the requested missing option(s) of the specified container to make it usable. Usually, this is about setting the `destination` and the `messageListener` to use but an implementation may override any default setting that was already set.

Parameters:
  `listenerContainer` - the listener container to configure